import { db } from '../db/db_index'
import { productTags } from '../db/schema'
import { eq } from 'drizzle-orm'

export async function getAllTags(): Promise<any[]> {
  return db.query.productTags.findMany({
    with: {
      // products: {
      //   with: {
      //     product: true,
      //   },
      // },
    },
  })
}

export async function getTagById(id: number): Promise<any | null> {
  return db.query.productTags.findFirst({
    where: eq(productTags.id, id),
    with: {
      // products: {
      //   with: {
      //     product: true,
      //   },
      // },
    },
  })
}
